<script name="provincialInfo" setup>
import { onMounted, ref } from 'vue'
import { govStripList } from '@/http/apis/declareMange'

const props = defineProps({
  detailData: Object
})
const operationManageUnitName = ref([]),
  getTableData = async () => {
    const res = await govStripList()
    res.data && res.data.forEach(item => {
      const dataIds = props.detailData?.operationManageUnit?.split(',') || []
      if (dataIds.includes(item.businessStripCode)) {
        operationManageUnitName.value.push(item.businessStripName)
      }
    })
  }
onMounted(() => {
  getTableData()
})
</script>

<template>
  <el-descriptions :column="1" border>
    <el-descriptions-item label="重大项目省级联审信息">
      {{ operationManageUnitName?.join('，') || '' }}
    </el-descriptions-item>
  </el-descriptions>
</template>
